Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 137848

Summary: dev-util/eclipse-sdk intellisense scrollbars cannot be clicked on since upgrade to GTK+-2.8.19
Product: Gentoo Linux Reporter: Tersius <ktersius>
Component: [OLD] DevelopmentAssignee: Development Tools Team <dev-tools>
Status: VERIFIED TEST-REQUEST    
Severity: normal CC: java
Priority: High    
Version: 2006.0   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---

Description Tersius 2006-06-24 08:18:04 UTC
Since I have upgraded to GTK+-2.8.19 I'm unable to click on the scrollbars of the eclipse intellisense popup window.

I'm guessing that this issue is related to http://bugs.gentoo.org/show_bug.cgi?id=132578 because it also involves java popup boxes.

here is my emerge --info
Portage 2.1.1_pre1-r2 (default-linux/x86/2006.0, gcc-3.3.6, glibc-2.3.6-r4, 2.6.17-gentoo i686)
=================================================================
System uname: 2.6.17-gentoo i686 Intel(R) Pentium(R) 4 CPU 3.20GHz
Gentoo Base System version 1.6.14
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.3
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/gcc-config: 1.3.13-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=pentium4 -fomit-frame-pointer -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/gconf /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-O2 -march=pentium4 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig candy ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://ftp.is.co.za/mirror/gentoo.org"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/xgl-coffee"
SYNC="rsync://rsync.rucus.ru.ac.za/gentoo-portage"
USE="x86 X acpi alsa apache2 apm avi beagle berkdb bitmap-fonts cairo cdr cli crypt cups dbus dlloader dri dvd dvdr dvdread eds emboss encode esd evo firefox foomaticdb fortran gdbm gif gimpprint gjc glitz gnome gpm gstreamer gtk gtk2 hal imlib innodb ipv6 isdnlog java jpeg ldap libg++ libwww mad mikmod mmx mmx2 mono motif mp3 mpeg mysql ncurses nls nptl nsplugin ogg opengl oss pam pcre pdf pdflib perl png ppds pppd python qt quicktime readline real reflection samba sdl session snmp spell spl sse sse2 ssl svg tcpd truetype truetype-fonts type1-fonts udev unicode vorbis win32codecs xinerama xml xorg xv xvid zlib elibc_glibc input_devices_keyboard input_devices_mouse input_devices_evdev kernel_linux userland_GNU video_cards_nv video_cards_nvidia video_cards_vesa"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Federico Fissore 2006-11-15 13:36:22 UTC
not sure here, but it seems to be an upstream issue regarding swt, solved starting from eclipse version 3.2.1

https://bugs.eclipse.org/bugs/show_bug.cgi?id=147808

would you like to give a try to the latest ~x86 ebuild? (eclipse-sdk-3.2.1-r1 atm)
Comment 2 Petteri R├Ąty (RETIRED) gentoo-dev 2007-04-07 20:44:37 UTC
3.2.1 is now stable so please test that and reopen if this issue is not fixed.
Comment 3 Tersius 2007-04-10 12:24:59 UTC
Seems to be fixed now.